HttpServer2.StackServlet (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.http, class: HttpServer2, class: StackServlet

Package org.apache.hadoop.http

# Class HttpServer2.StackServlet

java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
org.apache.hadoop.http.HttpServer2.StackServlet

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

Enclosing class:
  HttpServer2

public static class HttpServer2.StackServlet extends javax.servlet.http.HttpServlet
A very simple servlet to serve up a text representation of the current stack traces. It both returns the stacks to the caller and logs them. Currently the stack traces are done sequentially rather than exactly the same data.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StackServlet()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

  ### Methods inherited from class javax.servlet.http.HttpServlet

  `doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

  ### Methods inherited from class javax.servlet.GenericServlet

  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StackServlet

    public StackServlet()

- ## Method Details

  - ### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws javax.servlet.ServletException, IOException
    Overrides:
      `doGet` in class `javax.servlet.http.HttpServlet`
    Throws:
      `javax.servlet.ServletException`
      `IOException`